package com.eactive.eai.rms.bat.web.eims.xml;

import java.util.HashMap;

import com.eactive.eai.rms.bat.web.eims.EIMSBatConstants;

public class File2flieSndXml {

	private String srcAppCd		;//업무코드	
	private String srcBzSystemCd	;//시스템코드
	private String srcFileNm		;//파일명
	private String srcFilePath		;//파일경로
	private String srcAuthor		;
	
	
	
	public String getSrcAppCd() {
		return srcAppCd;
	}
	public void setSrcAppCd(String srcAppCd) {
		this.srcAppCd = srcAppCd;
	}
	public String getSrcAuthor() {
		return srcAuthor;
	}
	public void setSrcAuthor(String srcAuthor) {
		this.srcAuthor = srcAuthor;
	}
	public String getSrcBzSystemCd() {
		return srcBzSystemCd;
	}
	public void setSrcBzSystemCd(String srcBzSystemCd) {
		this.srcBzSystemCd = srcBzSystemCd;
	}
	public String getSrcFileNm() {
		return srcFileNm;
	}
	public void setSrcFileNm(String srcFileNm) {
		this.srcFileNm = srcFileNm;
	}
	public String getSrcFilePath() {
		return srcFilePath;
	}
	public void setSrcFilePath(String srcFilePath) {
		this.srcFilePath = srcFilePath;
	}
	
	
	/**
	 * 
	 * @param f2FsndMap
	 */
	public void setAllF2FSndXml(HashMap<String,String> f2FsndMap) {

		this.setSrcBzSystemCd(f2FsndMap.get(EIMSBatConstants.SRCBZSYSTEMCD ));
		this.setSrcAppCd(f2FsndMap.get(EIMSBatConstants.SRCAPPCD ));
		this.setSrcAuthor(f2FsndMap.get(EIMSBatConstants.SRCAUTHOR ));
		this.setSrcFileNm(f2FsndMap.get(EIMSBatConstants.SRCFILENM ));
		this.setSrcFilePath(f2FsndMap.get(EIMSBatConstants.SRCFILEPATH ));
//		this.setSrcFilePath((f2FsndMap.get(EIMSBatParserKey.SRCFILEPATH )).toString().replace("\\", ""));
				
	}
}
